routes/web.php
<?php

use Illuminate\Support\Facades\Route;


/**site */
Route::get('/', 'PrincipalController@principal')->name('site.index')->middleware('log.acesso');
Route::get('/sobre-nos', 'SobreNosController@sobreNos')->name('site.sobrenos');
Route::post('/contato', 'ContatoController@salvar')->name('site.contato');
Route::get('/contato', 'ContatoController@contato')->name('site.contato');
Route::get('/login/{erro?}','LoginController@index')->name('site.login');
Route::post('/login','LoginController@autenticar')->name('site.login');

/**app */
Route::middleware('autenticacao:ldap,visitante')->prefix('/app')->group(function () {
    Route::get('/home', 'HomeController@index')->name('app.home');
    Route::get('/sair', 'loginController@sair')->name('app.sair');

    Route::get('/fornecedor', 'FornecedorController@index')->name('app.fornecedor');
    Route::post('/fornecedor/listar', 'FornecedorController@listar')->name('app.fornecedor.listar');
    Route::get('/fornecedor/listar', 'FornecedorController@listar')->name('app.fornecedor.listar');
    Route::get('/fornecedor/adicionar', 'FornecedorController@adicionar')->name('app.fornecedor.adicionar');
    Route::post('/fornecedor/adicionar', 'FornecedorController@adicionar')->name('app.fornecedor.adicionar');
    Route::get('/fornecedor/editar/{id}/{msg?}', 'FornecedorController@editar')->name('app.fornecedor.editar');
    Route::get('/fornecedor/excluir/{id}', 'FornecedorController@excluir')->name('app.fornecedor.excluir');

    Route::resource('produto', 'ProdutoController');
    Route::resource('produto-detalhe','ProdutoDetalheController');
    Route::resource('cliente', 'ClienteController');
    Route::resource('pedido', 'PedidoController');
   // Route::resource('pedido-produto', 'PedidoProdutoController');

    Route::get('pedido-produto/create/{pedido}','PedidoProdutoController@create')->name('pedido-produto.create');
    Route::post('pedido-produto/store/{pedido}','PedidoProdutoController@store')->name('pedido-produto.store');
    //Route::delete('pedido-produto.destroy/{pedido}/{produto}','PedidoProdutoController@destroy')->name('pedido-produto.destroy');
    Route::delete('pedido-produto.destroy/{pedidoProduto}/{pedido_id}','PedidoProdutoController@destroy')->name('pedido-produto.destroy');



});

Route::get('/teste/{p1}/{p2}', 'TesteController@teste')->name('teste');
Route::fallback(function () {
    echo 'rota nao existe.  <a href="' . route('site.index') . '/">clique aqui para ir para a pagina principal</a>';
});

app/Pedido.php
<?php

namespace App;

use Illuminate\Database\Eloquent\Model;

class Pedido extends Model
{
    public function produtos()
    {
        //return $this->belongsToMany('App\Produto','pedido_produtos');
        return $this->belongsToMany('App\Item','pedido_produtos','pedido_id','produto_id')->withPivot('id','created_at','updated_at');

    }
}

app/Http/Controllers/PedidoController.php
<?php

namespace App\Http\Controllers;

use Illuminate\Http\Request;
use App\Pedido;
use App\Cliente;

class PedidoController extends Controller
{
    /**
     * Display a listing of the resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function index(Request $request)
    {
        $pedidos = Pedido::paginate(10);
        return view('app.pedido.index', [
            'pedidos' => $pedidos,
            'request' => $request->all(),
        ]);
    }

    /**
     * Show the form for creating a new resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function create()
    {
        $clientes = Cliente::all();

        return view('app.pedido.create', [
            'clientes' => $clientes,
        ]);
    }

    /**
     * Store a newly created resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return \Illuminate\Http\Response
     */
    public function store(Request $request)
    {

        $regras = ['cliente_id' => 'exists:clientes,id'];

        $feedback = [
            'cliente_id.exists' => 'O cliente informado nao existe'
        ];

        $request->validate($regras, $feedback);

        $pedido = new Pedido();
        $pedido->cliente_id = $request->get('cliente_id');



        $pedido->save();

        return redirect()->route('pedido.index');
    }

    /**
     * Display the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function show($id)
    {
        //
    }

    /**
     * Show the form for editing the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function edit($id)
    {
        //
    }

    /**
     * Update the specified resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function update(Request $request, $id)
    {
        //
    }

    /**
     * Remove the specified resource from storage.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function destroy($id)
    {
        //
    }
}

resources/views/app/pedido/create.blade.php
@extends('app.layouts.basico')
@section('titulo', 'Pedido')

@section('conteudo')
    <div class="conteudo-pagina">
        <div class="titulo-pagina-2">
            <p>Cadastrar Pedido</p>
        </div>
        <div class="menu">
            <li><a href="{{ route('pedido.index') }}">Voltar</a></li>
        </div>
        <div class="informacao-pagina">
            <div style="width: 30%; margin-left: auto; margin-right: auto;">
                @component('app.pedido._components.form_create_edit',['clientes' => $clientes])
                @endcomponent
            </div>
        </div>
    </div>
@endsection

resources/views/app/pedido/index.blade.php
@extends('app.layouts.basico')
@section('titulo', 'Produto')

@section('conteudo')


    <div class="conteudo-pagina">
        <div class="titulo-pagina-2">
            <p>Listagem Pedidos</p>
        </div>
        <div class="menu">
            <li><a href="{{ route('pedido.create') }}">Cadastrar Novo Pedido</a></li>
        </div>
        <div class="informacao-pagina">
            <div style="width: 90%; margin-left: auto; margin-right: auto;">
                <table border="1" width="100%">
                    <thead>
                        <tr>
                            <th>Id Pedido</th>
                            <th>Cliente</th>
                            <th></th>
                            <th>Ações</th>

                        </tr>
                    </thead>
                    <tbody>
                        @foreach($pedidos as $pedido)
                            <tr>
                                <td>{{ $pedido->id }}</td>

                                <td>{{ $pedido->cliente_id }}</td>
                                <td> <a href="{{route('pedido-produto.create',['pedido' => $pedido->id])  }}">Adicionar Produtos</a> </td>
                                <td>
                                    <a href="{{ route('pedido.show', ['pedido' => $pedido->id]) }}">Visualizar</a>|
                                    <a href="{{ route('pedido.edit', ['pedido' => $pedido->id]) }}">Editar</a>|
                                    <form id="form_{{ $pedido->id }}" method="post"
                                        action="{{ route('pedido.destroy', ['pedido' => $pedido->id]) }}">
                                        @method('DELETE')
                                        @csrf
                                        <a href="#"
                                            onclick="document.getElementById('form_{{ $pedido->id }}').submit()">Excluir</a>
                                    </form>
                                <td>
                            </tr>
                        @endforeach
                    </tbody>
                </table>
                {{ $pedidos->appends($request)->links() }}
                <br>
                Exbindo {{ $pedidos->count() }} Produtos de {{ $pedidos->total() }} de(
                {{ $pedidos->firstItem() }}
                a {{ $pedidos->lastItem() }})
            </div>
        </div>
    </div>
@endsection